extends NodeState

@export var player: Player
@export var animatedSprite2D: AnimatedSprite2D
@export var collisionShapeMove: AnimationPlayer

func enter() -> void:
	collisionShapeMove.play("Crouch")

func on_phyisics_process(_delta: float) -> void:
	
	transition_states()

func on_process(_delta: float) -> void:
	pass

func exit() -> void:
	collisionShapeMove.play("Normal")

func transition_states() -> void:
	pass
